# Uses of Interface
javax.swing.table.TableModel

Packages that use TableModel
Package
Description
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.event
Provides for events fired by Swing components.
javax.swing.table
Provides classes and interfaces for dealing with `javax.swing.JTable`.

## Uses of TableModel in javax.swing

Fields in javax.swing declared as TableModel
Modifier and Type
Field
Description
`protected TableModel`
JTable.`dataModel`
The `TableModel` of the table.
Methods in javax.swing that return TableModel
Modifier and Type
Method
Description
`protected TableModel`
JTable.`createDefaultDataModel()`
Returns the default table model object, which is a `DefaultTableModel`.
`TableModel`
JTable.`getModel()`
Returns the `TableModel` that provides the data displayed by this `JTable`.
Methods in javax.swing that return types with arguments of type TableModel
Modifier and Type
Method
Description
`RowSorter<? extends TableModel>`
JTable.`getRowSorter()`
Returns the object responsible for sorting.
Methods in javax.swing with parameters of type TableModel
Modifier and Type
Method
Description
`void`
JTable.`setModel​(TableModel dataModel)`
Sets the data model for this table to `dataModel` and registers with it for listener notifications from the new data model.
Method parameters in javax.swing with type arguments of type TableModel
Modifier and Type
Method
Description
`void`
JTable.`setRowSorter​(RowSorter<? extends TableModel> sorter)`
Sets the `RowSorter`.
Constructors in javax.swing with parameters of type TableModel
Modifier
Constructor
Description
``
`JTable​(TableModel dm)`
Constructs a `JTable` that is initialized with `dm` as the data model, a default column model, and a default selection model.
``
`JTable​(TableModel dm, TableColumnModel cm)`
Constructs a `JTable` that is initialized with `dm` as the data model, `cm` as the column model, and a default selection model.
``
`JTable​(TableModel dm, TableColumnModel cm, ListSelectionModel sm)`
Constructs a `JTable` that is initialized with `dm` as the data model, `cm` as the column model, and `sm` as the selection model.

## Uses of TableModel in javax.swing.event

Constructors in javax.swing.event with parameters of type TableModel
Modifier
Constructor
Description
``
`TableModelEvent​(TableModel source)`
All row data in the table has changed, listeners should discard any state that was based on the rows and requery the `TableModel` to get the new row count and all the appropriate values.
``
`TableModelEvent​(TableModel source, int row)`
This row of data has been updated.
``
`TableModelEvent​(TableModel source, int firstRow, int lastRow)`
The data in rows [firstRow, lastRow] have been updated.
``
`TableModelEvent​(TableModel source, int firstRow, int lastRow, int column)`
The cells in column column in the range [firstRow, lastRow] have been updated.
``
`TableModelEvent​(TableModel source, int firstRow, int lastRow, int column, int type)`
The cells from (firstRow, column) to (lastRow, column) have been changed.

## Uses of TableModel in javax.swing.table

Classes in javax.swing.table with type parameters of type TableModel
Modifier and Type
Class
Description
`class`
`TableRowSorter<M extends TableModel>`
An implementation of `RowSorter` that provides sorting and filtering using a `TableModel`.
Classes in javax.swing.table that implement TableModel
Modifier and Type
Class
Description
`class`
`AbstractTableModel`
This abstract class provides default implementations for most of the methods in the `TableModel` interface.
`class`
`DefaultTableModel`
This is an implementation of `TableModel` that uses a `Vector` of `Vectors` to store the cell value objects.
Methods in javax.swing.table with parameters of type TableModel
Modifier and Type
Method
Description
`abstract String`
TableStringConverter.`toString​(TableModel model, int row, int column)`
Returns the string representation of the value at the specified location.